Convertible.Tests
Date: 2015-09-10

org.atinject.tck.auto

## Class Convertible.Tests

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.atinject.tck.auto.Convertible.Tests

- All Implemented Interfaces:
    junit.framework.Test
  Enclosing class:
    Convertible

      public static class Convertible.Tests
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Convertible.Tests()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testCircularlyDependentSingletons()`
    `void` | `testConstructorInjectedProviderYieldsDistinctValues()`
    `void` | `testConstructorInjectedProviderYieldsSingleton()`
    `void` | `testConstructorInjectionWithProviders()`
    `void` | `testConstructorInjectionWithValues()`
    `void` | `testFieldInjectedProviderYieldsDistinctValues()`
    `void` | `testFieldInjectedProviderYieldsSingleton()`
    `void` | `testFieldInjectionWithProviders()`
    `void` | `testFieldInjectionWithValues()`
    `void` | `testFieldsInjected()`
    `void` | `testFieldsInjectedBeforeMethods()`
    `void` | `testMethodInjectedProviderYieldsDistinctValues()`
    `void` | `testMethodInjectedProviderYieldsSingleton()`
    `void` | `testMethodInjectionWithProviders()`
    `void` | `testMethodInjectionWithValues()`
    `void` | `testMethodWithMultipleParametersInjected()`
    `void` | `testMethodWithZeroParametersInjected()`
    `void` | `testNonVoidMethodInjected()`
    `void` | `testOverriddenPackagePrivateMethodInjectedOnlyOnce()`
    `void` | `testOverriddenProtectedMethodInjectedOnlyOnce()`
    `void` | `testOverriddenProtectedMethodInjection()`
    `void` | `testOverriddenPublicMethodInjectedOnlyOnce()`
    `void` | `testOverriddenPublicMethodNotInjected()`
    `void` | `testOverriddingMixedWithPackagePrivate2()`
    `void` | `testOverriddingMixedWithPackagePrivate3()`
    `void` | `testOverriddingMixedWithPackagePrivate4()`
    `void` | `testPackagePrivateMethodInjectedDifferentPackages()`
    `void` | `testPackagePrivateMethodInjectedEvenWhenSimilarMethodLacksAnnotation()`
    `void` | `testPackagePrivateMethodNotInjectedWhenOverrideLacksAnnotation()`
    `void` | `testPackagePrivateMethodNotInjectedWhenSupertypeHasAnnotatedSimilarMethod()`
    `void` | `testPrivateMethodNotInjectedWhenSupertypeHasAnnotatedSimilarMethod()`
    `void` | `testProtectedMethodNotInjectedWhenOverrideNotAnnotated()`
    `void` | `testProviderReturnedValues()`
    `void` | `testPublicMethodNotInjectedWhenOverrideNotAnnotated()`
    `void` | `testPublicNoArgsConstructorInjected()`
    `void` | `testQualifiersNotInheritedFromOverriddenMethod()`
    `void` | `testSimilarPackagePrivateMethodInjectedOnlyOnce()`
    `void` | `testSingletonAnnotationNotInheritedFromSupertype()`
    `void` | `testSubtypeFieldsInjected()`
    `void` | `testSubtypeMethodsInjected()`
    `void` | `testSupertypeFieldsInjected()`
    `void` | `testSupertypeMethodInjectedBeforeSubtypeMethods()`
    `void` | `testSupertypeMethodsInjected()`
    `void` | `testSupertypeMethodsInjectedBeforeSubtypeFields()`
    `void` | `testTwiceOverriddenMethodInjectedWhenMiddleLacksAnnotation()`
    `void` | `testTwiceOverriddenMethodNotInjectedWhenOverrideLacksAnnotation()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Convertible.Tests

          public Convertible.Tests()

  - ### Method Detail

    - #### testFieldsInjected

          public void testFieldsInjected()

    - #### testProviderReturnedValues

          public void testProviderReturnedValues()

    - #### testMethodWithZeroParametersInjected

          public void testMethodWithZeroParametersInjected()

    - #### testMethodWithMultipleParametersInjected

          public void testMethodWithMultipleParametersInjected()

    - #### testNonVoidMethodInjected

          public void testNonVoidMethodInjected()

    - #### testPublicNoArgsConstructorInjected

          public void testPublicNoArgsConstructorInjected()

    - #### testSubtypeFieldsInjected

          public void testSubtypeFieldsInjected()

    - #### testSubtypeMethodsInjected

          public void testSubtypeMethodsInjected()

    - #### testSupertypeFieldsInjected

          public void testSupertypeFieldsInjected()

    - #### testSupertypeMethodsInjected

          public void testSupertypeMethodsInjected()

    - #### testTwiceOverriddenMethodInjectedWhenMiddleLacksAnnotation

          public void testTwiceOverriddenMethodInjectedWhenMiddleLacksAnnotation()

    - #### testQualifiersNotInheritedFromOverriddenMethod

          public void testQualifiersNotInheritedFromOverriddenMethod()

    - #### testConstructorInjectionWithValues

          public void testConstructorInjectionWithValues()

    - #### testFieldInjectionWithValues

          public void testFieldInjectionWithValues()

    - #### testMethodInjectionWithValues

          public void testMethodInjectionWithValues()

    - #### testConstructorInjectionWithProviders

          public void testConstructorInjectionWithProviders()

    - #### testFieldInjectionWithProviders

          public void testFieldInjectionWithProviders()

    - #### testMethodInjectionWithProviders

          public void testMethodInjectionWithProviders()

    - #### testConstructorInjectedProviderYieldsSingleton

          public void testConstructorInjectedProviderYieldsSingleton()

    - #### testFieldInjectedProviderYieldsSingleton

          public void testFieldInjectedProviderYieldsSingleton()

    - #### testMethodInjectedProviderYieldsSingleton

          public void testMethodInjectedProviderYieldsSingleton()

    - #### testCircularlyDependentSingletons

          public void testCircularlyDependentSingletons()

    - #### testSingletonAnnotationNotInheritedFromSupertype

          public void testSingletonAnnotationNotInheritedFromSupertype()

    - #### testConstructorInjectedProviderYieldsDistinctValues

          public void testConstructorInjectedProviderYieldsDistinctValues()

    - #### testFieldInjectedProviderYieldsDistinctValues

          public void testFieldInjectedProviderYieldsDistinctValues()

    - #### testMethodInjectedProviderYieldsDistinctValues

          public void testMethodInjectedProviderYieldsDistinctValues()

    - #### testPackagePrivateMethodInjectedDifferentPackages

          public void testPackagePrivateMethodInjectedDifferentPackages()

    - #### testOverriddenProtectedMethodInjection

          public void testOverriddenProtectedMethodInjection()

    - #### testOverriddenPublicMethodNotInjected

          public void testOverriddenPublicMethodNotInjected()

    - #### testFieldsInjectedBeforeMethods

          public void testFieldsInjectedBeforeMethods()

    - #### testSupertypeMethodsInjectedBeforeSubtypeFields

          public void testSupertypeMethodsInjectedBeforeSubtypeFields()

    - #### testSupertypeMethodInjectedBeforeSubtypeMethods

          public void testSupertypeMethodInjectedBeforeSubtypeMethods()

    - #### testPackagePrivateMethodInjectedEvenWhenSimilarMethodLacksAnnotation

          public void testPackagePrivateMethodInjectedEvenWhenSimilarMethodLacksAnnotation()

    - #### testPrivateMethodNotInjectedWhenSupertypeHasAnnotatedSimilarMethod

          public void testPrivateMethodNotInjectedWhenSupertypeHasAnnotatedSimilarMethod()

    - #### testPackagePrivateMethodNotInjectedWhenOverrideLacksAnnotation

          public void testPackagePrivateMethodNotInjectedWhenOverrideLacksAnnotation()

    - #### testPackagePrivateMethodNotInjectedWhenSupertypeHasAnnotatedSimilarMethod

          public void testPackagePrivateMethodNotInjectedWhenSupertypeHasAnnotatedSimilarMethod()

    - #### testProtectedMethodNotInjectedWhenOverrideNotAnnotated

          public void testProtectedMethodNotInjectedWhenOverrideNotAnnotated()

    - #### testPublicMethodNotInjectedWhenOverrideNotAnnotated

          public void testPublicMethodNotInjectedWhenOverrideNotAnnotated()

    - #### testTwiceOverriddenMethodNotInjectedWhenOverrideLacksAnnotation

          public void testTwiceOverriddenMethodNotInjectedWhenOverrideLacksAnnotation()

    - #### testOverriddingMixedWithPackagePrivate2

          public void testOverriddingMixedWithPackagePrivate2()

    - #### testOverriddingMixedWithPackagePrivate3

          public void testOverriddingMixedWithPackagePrivate3()

    - #### testOverriddingMixedWithPackagePrivate4

          public void testOverriddingMixedWithPackagePrivate4()

    - #### testOverriddenPackagePrivateMethodInjectedOnlyOnce

          public void testOverriddenPackagePrivateMethodInjectedOnlyOnce()

    - #### testSimilarPackagePrivateMethodInjectedOnlyOnce

          public void testSimilarPackagePrivateMethodInjectedOnlyOnce()

    - #### testOverriddenProtectedMethodInjectedOnlyOnce

          public void testOverriddenProtectedMethodInjectedOnlyOnce()

    - #### testOverriddenPublicMethodInjectedOnlyOnce

          public void testOverriddenPublicMethodInjectedOnlyOnce()